#!/bin/sh

F=reaccumulation_0100

awk '/^#/'  $F.txt > $F.dat
awk '!/^#/' $F.txt | sort -g -k9 -r | head -500 >> $F.dat

make

./baryc_outlier 1000 0.0 0.0 2700 < $F.dat > baryc_outlier.out

awk '!/^ *#/{ print sqrt($5**2+$6**2+$7**2); }' < baryc_outlier.out > v.dat
hist6  100  0 20  v.dat > v.dat_h
mean_sigma.awk < v.dat > v.mea
median_range.awk < v.dat > v.med

./hist_velocity.plt

awk '!/^ *#/{ print $9, sqrt($5**2+$6**2+$7**2); }' < baryc_outlier.out > mv.dat


